#
# Conditional build:
%bcond_without	prof	# profiling library
#
%define		pkgname	random
Summary:	A random number library
Summary(pl.UTF-8):	Biblioteka liczb losowych
Name:		ghc-%{pkgname}
Version:	1.0.1.1
Release:	1
License:	BSD
Group:		Development/Languages
#Source0Download: http://hackage.haskell.org/package/random
Source0:	http://hackage.haskell.org/package/random-%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	9a249cfa7ff6793cbf2be06e9fcd7538
URL:		http://hackage.haskell.org/package/random/
BuildRequires:	ghc >= 6.12.3
BuildRequires:	ghc-base >= 3
BuildRequires:	ghc-base < 5
BuildRequires:	ghc-time
%if %{with prof}
BuildRequires:	ghc-prof >= 6.12.3
BuildRequires:	ghc-base-prof >= 3
BuildRequires:	ghc-base-prof < 5
BuildRequires:	ghc-time-prof
%endif
BuildRequires:	rpmbuild(macros) >= 1.608
%requires_releq	ghc
Requires:	ghc-base >= 3
Requires:	ghc-base < 5
Requires:	ghc-time
Obsoletes:	ghc-random-doc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

# don't compress haddock files
%define		_noautocompressdoc	*.haddock

%description
This package provides a random number library.

%description -l pl.UTF-8
Ten pakiet zawiera bibliotekę liczb losowych.

%package prof
Summary:	Profiling %{pkgname} library for GHC
Summary(pl.UTF-8):	Biblioteka profilująca %{pkgname} dla GHC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ghc-base-prof >= 3
Requires:	ghc-base-prof < 5
Requires:	ghc-time-prof

%description prof
Profiling %{pkgname} library for GHC.  Should be installed when
GHC's profiling subsystem is needed.

%description prof -l pl.UTF-8
Biblioteka profilująca %{pkgname} dla GHC. Powinna być zainstalowana
kiedy potrzebujemy systemu profilującego z GHC.

%prep
%setup -q -n %{pkgname}-%{version}

# it relies on ld.bfd specific options
mkdir -p ld-dir
if [ -x /usr/bin/ld.bfd ]; then
	ln -sf /usr/bin/ld.bfd ld-dir/ld
fi

%build
PATH=$(pwd)/ld-dir:$PATH
runhaskell Setup.hs configure -v2 \
	%{?with_prof:--enable-library-profiling} \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version}

runhaskell Setup.hs build
runhaskell Setup.hs haddock --executables

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

runhaskell Setup.hs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
rm -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} %{name}-%{version}-doc

runhaskell Setup.hs register \
	--gen-pkg-config=$RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf

rm -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%doc %{name}-%{version}-doc/*
%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/HSrandom-%{version}.o
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/libHSrandom-%{version}.a
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/System
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/System/*.hi

%if %{with prof}
%files prof
%defattr(644,root,root,755)
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/libHSrandom-%{version}_p.a
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/System/*.p_hi
%endif
%changelog
* Sat Oct 21 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/ghc-random.git;a=log;h=414a68a3f171825fd521ccc4b6269715590cddd0

* Sun Dec 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 414a68a
- complete ghc dependencies list

* Mon Dec 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 02be16c
- added prof bcond
- doc post-removal cleanup (why it's obsoleted btw?)

* Sat Dec 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 1430df2
- updated Source0 URL

* Sat May 25 2013 Jakub Bogusz <qboosh@pld-linux.org> f844237
- pl
- needs ghc-prof to build (needed Numeric profiling), only ld.bfd is supported

* Fri May 24 2013 Elan Ruusamäe <glen@delfi.ee> fe17e31
- cosmetics

* Fri May 24 2013 Caleb Maclennan <caleb@pld-linux.org> 941d6c7
- Fix build error

* Fri May 24 2013 Caleb Maclennan <caleb@pld-linux.org> 54d4cee
- Up to 1.0.1.1

* Sat Oct 22 2011 Jan Rękorajski <baggins@pld-linux.org> 2f48e81
- rel 5
- finally got docs straight, they must be in main package due to dir names

* Sat Oct 22 2011 Jan Rękorajski <baggins@pld-linux.org> 9f85fa4
- rel 4
- revert doc package removal
- fix docs packaging

* Sat Oct 22 2011 Jan Rękorajski <baggins@pld-linux.org> a3c6b79
- rel 3
- merge doc package into main
- don't compress docs

* Tue Sep 27 2011 Jan Rękorajski <baggins@pld-linux.org> ec1f01c
- rel 2
- added prof package

* Tue Sep 27 2011 Jan Rękorajski <baggins@pld-linux.org> 6a02fcf
- intial revision

